Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class IllegalPropertyAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      groovy.lang.MissingPropertyException
                          groovy.lang.IllegalPropertyAccessException

    public class IllegalPropertyAccessException
    extends MissingPropertyException

An exception occurred if a dynamic property dispatch fails with a field not accessible.

Authors:
  Jochen Theodorou

Version:
  \$Revision: 6778 \$

Field Summary

Fields inherited from class MissingPropertyException
MPE

Constructor Summary
`IllegalPropertyAccessException(String propertyName, Class clazz, int modifiers)`
`IllegalPropertyAccessException(Field field, Class clazz)`

Method Summary

Methods inherited from class MissingPropertyException
getMessageWithoutLocationText, getProperty, getType

Methods inherited from class GroovyRuntimeException
getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### IllegalPropertyAccessException

    public IllegalPropertyAccessException(String propertyName, Class clazz, int modifiers)

### IllegalPropertyAccessException

    public IllegalPropertyAccessException(Field field, Class clazz)

Copyright © 2003-2010 The Codehaus. All rights reserved.